Bug#518672: libglib2.0-0: GLib error causes program crash

Mikolaj Menke miki at menek.one.pl
Sat Mar 7 20:06:43 UTC 2009

Package: libglib2.0-0
Version: 2.16.6-1
Severity: normal

When I open a file with TCX Converter it crashes with this message:

** GLib:ERROR:(/tmp/buildd/glib2.0-2.16.6/glib/gmain.c:2015):g_main_dispatch: \
assertion failed: (current->source == &current_source_link)

The author of this program told me that this is a bug with system library,
so I file a bug against libglib.

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/bash

Versions of packages libglib2.0-0 depends on:
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libpcre3                      7.6-2.1    Perl 5 Compatible Regular Expressi
ii  libselinux1                   2.0.65-5   SELinux shared libraries

Versions of packages libglib2.0-0 recommends:
pn  libglib2.0-data               <none>     (no description available)

libglib2.0-0 suggests no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list